getAccounts
READGet accounts.
POST /api/v1/accounting/getAccounts
curl -X POST '<your-host>/api/v1/accounting/getAccounts' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"accountType": "Bank",
"active": true,
"class": "Expense",
"companyGroupId": "string",
"consolidatedRate": "Average",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"id": "string",
"incomeBalance": "Balance Sheet",
"isGroup": true,
"isSystem": true,
"name": "string",
"number": "string",
"parentId": "string",
"tags": [
"string"
],
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
}
}
}
}
}